AbstractLongBinaryType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AbstractLongBinaryType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.MutableType
                  org.hibernate.type.AbstractBynaryType
                      org.hibernate.type.AbstractLongBinaryType

All Implemented Interfaces:
  Serializable, Comparator, StringRepresentableType, Type, VersionType, XmlRepresentableType

Deprecated. Use the `AbstractStandardBasicType` approach instead

    public abstract class AbstractLongBinaryType

extends AbstractBynaryType

An abstract type for mapping long binary SQL types to Java byte[].

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.AbstractType
`LEGACY_DEFAULT_SIZE, LEGACY_DICTATED_SIZE`

Constructor Summary
`AbstractLongBinaryType()` Deprecated.

Method Summary
`Class` | `getReturnedClass()` Deprecated. The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` methods.
`protected Object` | `toExternalFormat(byte[] bytes)` Deprecated. Convert the byte[] into the expected object type
`protected byte[]` | `toInternalFormat(Object bytes)` Deprecated. Convert the object into the internal byte[] representation

Methods inherited from class org.hibernate.type.AbstractBynaryType
`compare, deepCopyNotNull, fromStringValue, get, getComparator, getHashCode, getName, isEqual, next, seed, set, sqlType, toString`

Methods inherited from class org.hibernate.type.MutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`defaultSize, defaultSizes, dictatedSize, dictatedSizes, fromXMLNode, fromXMLString, getColumnSpan, isDirty, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, disassemble, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AbstractLongBinaryType

    public AbstractLongBinaryType()

  Deprecated.

Method Detail

### getReturnedClass

    public Class getReturnedClass()

  Deprecated.
  Description copied from interface: `Type`
  The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` methods. This is used to establish the class of an array of this type.

  Returns:
    The java type class handled by this type.

### toExternalFormat

    protected Object toExternalFormat(byte[] bytes)

  Deprecated.
  Description copied from class: `AbstractBynaryType`
  Convert the byte[] into the expected object type

  Specified by:
    `toExternalFormat` in class `AbstractBynaryType`

### toInternalFormat

    protected byte[] toInternalFormat(Object bytes)

  Deprecated.
  Description copied from class: `AbstractBynaryType`
  Convert the object into the internal byte[] representation

  Specified by:
    `toInternalFormat` in class `AbstractBynaryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.